Fix the JIT failures from last night.
[oota-llvm.git] / autoconf / AutoRegen.sh
index 40bd96be5f98504a4c93c7c389474062b51e051a..ce0e2699e4409e5feb9809949416a3e89bdb4ef6 100755 (executable)
@@ -3,19 +3,41 @@ die () {
        echo "$@" 1>&2
        exit 1
 }
-test -d autoconf && test -f autoconf/configure.ac && cd autoconf
-[ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
-echo "Regenerating aclocal.m4 with aclocal"
-aclocal || die "aclocal failed"
-autoconf --version | egrep '2\.5[0-9]' > /dev/null
-if test $? -ne 0
-then
-       die "Your autoconf was not detected as being 2.5x"
+outfile=configure
+configfile=configure.ac
+test -d autoconf && test -f autoconf/$configfile && cd autoconf
+test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
+autoconf --version | egrep '2\.59' > /dev/null
+if test $? -ne 0 ; then
+  die "Your autoconf was not detected as being 2.59"
 fi
-echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
-echo "Regenerating configure with autoconf 2.5x"
-autoconf -o ../configure configure.ac || die "autoconf failed"
+aclocal --version | egrep '1\.9\.2' > /dev/null
+if test $? -ne 0 ; then
+  die "Your aclocal was not detected as being 1.9.2"
+fi
+autoheader --version | egrep '2\.59' > /dev/null
+if test $? -ne 0 ; then
+  die "Your autoheader was not detected as being 2.59"
+fi
+libtool --version | grep '1\.5\.10' > /dev/null
+if test $? -ne 0 ; then
+  die "Your libtool was not detected as being 1.5.10"
+fi
+echo ""
+echo "### NOTE: ############################################################"
+echo "### If you get *any* warnings from autoconf below you MUST fix the"
+echo "### scripts in the m4 directory because there are future forward"
+echo "### compatibility or platform support issues at risk. Please do NOT"
+echo "### commit any configure script that was generated with warnings"
+echo "### present. You should get just three 'Regenerating..' lines."
+echo "######################################################################"
+echo ""
+echo "Regenerating aclocal.m4 with aclocal 1.9.2"
+cwd=`pwd`
+aclocal --force -I $cwd/m4 || die "aclocal failed"
+echo "Regenerating configure with autoconf 2.59"
+autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
 cd ..
-echo "Regenerating config.h.in with autoheader 2.5x"
-autoheader -I autoconf autoconf/configure.ac || die "autoheader failed"
+echo "Regenerating config.h.in with autoheader 2.59"
+autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
 exit 0